# FrameDeallocatorFor in riscv::paging - Rust
A trait for types that can deallocate a frame of memory.
Keywords: rust, rustlang, rust-lang, FrameDeallocatorFor

# Trait riscv::paging::FrameDeallocatorFor

source · [−]

    pub trait FrameDeallocatorFor<P: PhysicalAddress> {
        fn dealloc(&mut self, frame: FrameWith<P>);
    }

Expand description

A trait for types that can deallocate a frame of memory.

## Required methods

source

#### fn dealloc(&mut self, frame: FrameWith<P>)

Deallocate the given frame of memory.

## Implementors

source

### impl<T: FrameDeallocator> FrameDeallocatorFor<PhysAddrSv48> for T